# Change Log

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

<a name="2.7.3"></a>
## [2.7.3](http://gitlab.recursive.run/:hq/generator-rr-node-module/compare/v2.7.2...v2.7.3) (2017-12-18)



<a name="2.7.2"></a>
## [2.7.2](https://github.com/optick/generator-optick-node-module/compare/v2.7.1...v2.7.2) (2017-09-27)


### Bug Fixes

* **package.json:** Get rid of lint-staged and just use husky ([89e4726](https://github.com/optick/generator-optick-node-module/commit/89e4726))



<a name="2.7.1"></a>
## [2.7.1](https://github.com/optick/generator-optick-node-module/compare/v2.7.0...v2.7.1) (2017-09-22)


### Bug Fixes

* **README.md:** Change README template to output raw content ([09d86be](https://github.com/optick/generator-optick-node-module/commit/09d86be))



<a name="2.7.0"></a>
# [2.7.0](https://github.com/optick/generator-optick-node-module/compare/v2.6.2...v2.7.0) (2017-09-20)


### Bug Fixes

* Fixing arguments and options in sub-generators ([ee5779d](https://github.com/optick/generator-optick-node-module/commit/ee5779d))
* Fixing sub-generator option defaults ([4ef19c8](https://github.com/optick/generator-optick-node-module/commit/4ef19c8))
* **package.json:** Reverting NPM scripts to use && ([8a8494b](https://github.com/optick/generator-optick-node-module/commit/8a8494b))
* **release:** Fixing release script by adding standard-version back in ([5b381c7](https://github.com/optick/generator-optick-node-module/commit/5b381c7))


### Features

* Add separate tests for sub-generators ([972fdc4](https://github.com/optick/generator-optick-node-module/commit/972fdc4))



<a name="2.6.2"></a>
## [2.6.2](https://github.com/optick/generator-optick-node-module/compare/v2.6.1...v2.6.2) (2017-09-13)


### Bug Fixes

* **package.json:** Fix precommit process ([77a3cef](https://github.com/optick/generator-optick-node-module/commit/77a3cef))



<a name="2.6.1"></a>
## [2.6.1](https://github.com/optick/generator-optick-node-module/compare/v2.6.0...v2.6.1) (2017-09-08)


### Bug Fixes

* **constructor:** Missed comitting compiled changes to readme sub-generator ([aec19c9](https://github.com/optick/generator-optick-node-module/commit/aec19c9))



<a name="2.6.0"></a>
# [2.6.0](https://github.com/optick/generator-optick-node-module/compare/v2.5.0...v2.6.0) (2017-09-08)


### Features

* **constructor:** Change installationLines and usageLines to installationContent and usageContent ([b358794](https://github.com/optick/generator-optick-node-module/commit/b358794))



<a name="2.5.0"></a>
# [2.5.0](https://github.com/optick/generator-optick-node-module/compare/v2.4.2...v2.5.0) (2017-09-05)


### Bug Fixes

* **.gitignore, README.md:** Fixing option default issue and whitespace in generated templates ([f921ef0](https://github.com/optick/generator-optick-node-module/commit/f921ef0))


### Features

* **.gitignore:** Add .gitignore content option/sub-generator ([fcee3fc](https://github.com/optick/generator-optick-node-module/commit/fcee3fc))
* **README.md:** Add README content option/sub-generator ([936b3d5](https://github.com/optick/generator-optick-node-module/commit/936b3d5))



<a name="2.4.2"></a>
## [2.4.2](https://github.com/optick/generator-optick-node-module/compare/v2.4.1...v2.4.2) (2017-09-05)


### Bug Fixes

* **constructor:** Adding type to option registration to try to fix downstream issue ([34de87e](https://github.com/optick/generator-optick-node-module/commit/34de87e))



<a name="2.4.1"></a>
## [2.4.1](https://github.com/optick/generator-optick-node-module/compare/v2.4.0...v2.4.1) (2017-09-05)


### Bug Fixes

* Renaming missed instances of authorWebsite to authorUrl ([6fb81c9](https://github.com/optick/generator-optick-node-module/commit/6fb81c9))



<a name="2.4.0"></a>
# [2.4.0](https://github.com/optick/generator-optick-node-module/compare/v2.3.0...v2.4.0) (2017-09-05)


### Features

* **boilerplate:** Move js files to boilerplate sub-generator ([a8f1881](https://github.com/optick/generator-optick-node-module/commit/a8f1881))
* **package.json:** Write package.json from extended object instead of template file ([4b98f32](https://github.com/optick/generator-optick-node-module/commit/4b98f32))



<a name="2.3.0"></a>
# [2.3.0](https://github.com/optick/generator-optick-node-module/compare/v2.2.3...v2.3.0) (2017-09-05)


### Features

* **prompting:** Add default value for homepage prompt ([0d497a4](https://github.com/optick/generator-optick-node-module/commit/0d497a4))



<a name="2.2.3"></a>
## [2.2.3](https://github.com/optick/generator-optick-node-module/compare/v2.2.2...v2.2.3) (2017-08-30)


### Bug Fixes

* **prompting:** Awaiting mkdirp logic to improve control flow ([9b0f0de](https://github.com/optick/generator-optick-node-module/commit/9b0f0de))



<a name="2.2.2"></a>
## [2.2.2](https://github.com/optick/generator-optick-node-module/compare/v2.2.1...v2.2.2) (2017-08-30)


### Bug Fixes

* **prompting:** Moving mkdir logic to prompting hook ([9f36921](https://github.com/optick/generator-optick-node-module/commit/9f36921))



<a name="2.2.1"></a>
## [2.2.1](https://github.com/optick/generator-optick-node-module/compare/v2.2.0...v2.2.1) (2017-08-30)


### Bug Fixes

* **writing:** Rename .gitignore to gitignore ([260a754](https://github.com/optick/generator-optick-node-module/commit/260a754))



<a name="2.2.0"></a>
# [2.2.0](https://github.com/optick/generator-optick-node-module/compare/v2.1.5...v2.2.0) (2017-08-30)


### Features

* **prompting:** Added showMessage option ([bbe868d](https://github.com/optick/generator-optick-node-module/commit/bbe868d))



<a name="2.1.5"></a>
## [2.1.5](https://github.com/optick/generator-optick-node-module/compare/v2.1.4...v2.1.5) (2017-08-30)


### Bug Fixes

* **package.json:** Adding files property back to package.json ([70aa615](https://github.com/optick/generator-optick-node-module/commit/70aa615))



<a name="2.1.4"></a>
## [2.1.4](https://github.com/optick/generator-optick-node-module/compare/v2.1.3...v2.1.4) (2017-08-30)


### Bug Fixes

* Rename package.json template to .package.json ([fda8a4d](https://github.com/optick/generator-optick-node-module/commit/fda8a4d))



<a name="2.1.3"></a>
## [2.1.3](https://github.com/optick/generator-optick-node-module/compare/v2.1.2...v2.1.3) (2017-08-29)


### Bug Fixes

* **constructor:** Declaring options to see if that fixes composeWith issues ([907470a](https://github.com/optick/generator-optick-node-module/commit/907470a))



<a name="2.1.2"></a>
## [2.1.2](https://github.com/optick/generator-optick-node-module/compare/v2.1.1...v2.1.2) (2017-08-29)


### Bug Fixes

* **prompting, writing:** Forgot to add built files ([b628305](https://github.com/optick/generator-optick-node-module/commit/b628305))



<a name="2.1.1"></a>
## [2.1.1](https://github.com/optick/generator-optick-node-module/compare/v2.1.0...v2.1.1) (2017-08-29)


### Bug Fixes

* **prompting:** Using options for template data instead of props ([19248be](https://github.com/optick/generator-optick-node-module/commit/19248be))



<a name="2.1.0"></a>
# [2.1.0](https://github.com/optick/generator-optick-node-module/compare/v2.0.0...v2.1.0) (2017-08-29)


### Features

* **prompting:** Checking for props in options before prompting user ([b9f905f](https://github.com/optick/generator-optick-node-module/commit/b9f905f))



<a name="2.0.0"></a>
# [2.0.0](https://github.com/optick/generator-optick-node-module/compare/v1.2.2...v2.0.0) (2017-08-29)


### Bug Fixes

* **package.json:** Adding standard-version back in ([edde754](https://github.com/optick/generator-optick-node-module/commit/edde754))
* **package.json:** Fixing release process ([486ee3f](https://github.com/optick/generator-optick-node-module/commit/486ee3f))


### Features

* **package.json:** Switching from Webpack build to Babel ([dda5833](https://github.com/optick/generator-optick-node-module/commit/dda5833))


### BREAKING CHANGES

* **package.json:** The npm run prettier command has been changed to npm run format



<a name="1.2.2"></a>
## [1.2.2](https://github.com/optick/generator-optick-node-module/compare/v1.2.1...v1.2.2) (2017-08-28)


### Bug Fixes

* **.gitignore, package.json:** Correcting "main" entrypoint path ([f6a1092](https://github.com/optick/generator-optick-node-module/commit/f6a1092))



<a name="1.2.1"></a>
## [1.2.1](https://github.com/optick/generator-optick-node-module/compare/v1.2.0...v1.2.1) (2017-08-28)


### Bug Fixes

* **webpack.config.js:** Correcting Webpack config ([1ac3d38](https://github.com/optick/generator-optick-node-module/commit/1ac3d38))



<a name="1.2.0"></a>
# [1.2.0](https://github.com/optick/generator-optick-node-module/compare/v1.1.7...v1.2.0) (2017-08-17)


### Features

* **compile:** Adding Webpack ([a842f39](https://github.com/optick/generator-optick-node-module/commit/a842f39))



<a name="1.1.7"></a>
## [1.1.7](https://github.com/optick/generator-optick-node-module/compare/v1.1.6...v1.1.7) (2017-08-08)


### Bug Fixes

* **initializing:** Move mkdir logic to initializing priority ([67ca85c](https://github.com/optick/generator-optick-node-module/commit/67ca85c))



<a name="1.1.6"></a>
## [1.1.6](https://github.com/optick/generator-optick-node-module/compare/v1.1.5...v1.1.6) (2017-08-08)


### Bug Fixes

* Add name argument back in ([be27904](https://github.com/optick/generator-optick-node-module/commit/be27904))



<a name="1.1.5"></a>
## [1.1.5](https://github.com/optick/generator-optick-node-module/compare/v1.1.4...v1.1.5) (2017-08-08)


### Bug Fixes

* Remove name argument and associated code ([a4b1f8e](https://github.com/optick/generator-optick-node-module/commit/a4b1f8e))



<a name="1.1.4"></a>
## [1.1.4](https://github.com/optick/generator-optick-node-module/compare/v1.1.3...v1.1.4) (2017-08-08)


### Bug Fixes

* **package.json:** Update babel-core dev dependency ([0ebfcc4](https://github.com/optick/generator-optick-node-module/commit/0ebfcc4))



<a name="1.1.3"></a>
## [1.1.3](https://github.com/optick/generator-optick-node-module/compare/v1.1.2...v1.1.3) (2017-08-07)


### Bug Fixes

* Update files prop in package.json and usage in README ([d3b2cb1](https://github.com/optick/generator-optick-node-module/commit/d3b2cb1))



<a name="1.1.2"></a>
## [1.1.2](https://github.com/optick/generator-optick-node-module/compare/v1.1.1...v1.1.2) (2017-08-07)


### Bug Fixes

* **package.json:** Add missing dev dependency: jest ([b2469fd](https://github.com/optick/generator-optick-node-module/commit/b2469fd))



<a name="1.1.1"></a>
## [1.1.1](https://github.com/optick/generator-optick-node-module/compare/v1.1.0...v1.1.1) (2017-08-07)


### Bug Fixes

* **configuring:** Fix --name argument functionality ([435b109](https://github.com/optick/generator-optick-node-module/commit/435b109))



<a name="1.1.0"></a>
# 1.1.0 (2017-08-07)


### Features

* **package.json:** Add a changelog management system ([195ca99](https://github.com/optick/generator-optick-node-module/commit/195ca99))
