'use strict'

Object.defineProperty(exports, '__esModule', {
  value: true
})

var _yeomanGenerator = require('yeoman-generator')

var _yeomanGenerator2 = _interopRequireDefault(_yeomanGenerator)

function _interopRequireDefault (obj) {
  return obj && obj.__esModule ? obj : { default: obj }
}

const defaultContent = `node_modules\n*.log\n.DS_Store`

exports.default = class extends _yeomanGenerator2.default {
  constructor (args, opts) {
    super(args, opts)
    this.option('content', { type: String, default: defaultContent })
  }

  writing () {
    const src = this.templatePath('gitignore')
    this.fs.copyTpl(src, this.destinationPath('.gitignore'), this.options)
  }
}
module.exports = exports['default']
