'use strict'

Object.defineProperty(exports, '__esModule', {
  value: true
})

var _yeomanGenerator = require('yeoman-generator')

var _yeomanGenerator2 = _interopRequireDefault(_yeomanGenerator)

function _interopRequireDefault (obj) {
  return obj && obj.__esModule ? obj : { default: obj }
}

exports.default = class extends _yeomanGenerator2.default {
  constructor (args, opts) {
    super(args, opts)
    this.option('repo', { type: String })
    this.option('description', { type: String })
    this.option('beforeContent', { type: String, default: false })
    this.option('installationContent', { type: String, default: false })
    this.option('usageContent', { type: String, default: false })
    this.option('afterContent', { type: String, default: false })
    this.option('authorName', { type: String })
    this.option('authorUrl', { type: String })
    this.option('user', { type: String })
  }

  writing () {
    const src = this.templatePath('README.md')
    this.fs.copyTpl(src, this.destinationPath('README.md'), this.options)
  }
}
module.exports = exports['default']
